// site-nav styles
.site-nav {
    // display: none;
    transition: transform .25s ease-in-out;
    margin-top: 60px;
    ul {
      @extend %list-unstyled;
    }

    &__item {
      position: relative;
      display: block;
      width: 100%;
    }

    &__link {
      position: relative;
    }

    &__list {
      padding-top: 15px;

      > .site-nav__item {
        border-top: 1px solid $darkgreen;

        > .site-nav__link {
          
          display: block;
          padding: 20px;

          cursor: pointer;

          color: $darkgreen;


          a {
            text-decoration: none;

            font-size: calc-em(16px);
            font-weight: $bold;

            text-transform: capitalize;
            color: $darkgreen;

            z-index: 1;
            position: relative;
          }


          .icon {
            font-size: calc-em(22px);
            position: absolute;
            right: 20px;
          }

          &:hover {

            a, .icon {
              color: $white;
            }

            &:before {
              opacity: 1;
              height: 100%;
            }
          }

          &:before {
            position: absolute;
            -webkit-transition: all 0.35s ease;
            transition: all 0.35s ease;
            bottom: 0;
            left: 0;
            display: block;
            height: 0;
            width: 100%;
            content: "";
            background-color: $green;
            z-index: 0;
          }
        }
        &.current {
          .site-nav__link span {
            color: $white;
            
          }
          .site-nav__link:before {
            opacity: 1;
            height: 100%;
            
          }
        }
      }
    }

    &__lvl2 {
      // display: none;

      &-link {
        text-decoration: none;
        padding: 10px 20px 12px;
        font-weight: $medium;
        display: block;
        color: $darkgreen;
        

        span {
          font-size: calc-em(14px);
          font-weight: $medium;
          z-index: 1;
          position: relative;
        }

        &:before {
          position: absolute;
          -webkit-transition: all 0.35s ease;
          transition: all 0.35s ease;
          bottom: 0;
          left: 0;
          display: block;
          height: 0;
          width: 100%;
          content: "";
          background-color: $darkgreen;
          z-index: 0;
        }

        &:hover {
          span {
            color: $white;
          }
          &:before {
            opacity: 1;
            height: 100%;
          }
        }

        &.current .site-nav__lvl2-link:before {
          opacity: 1;
          height: 100%;
        }
      }
    }
  }

  